ListTeamOwners
/api/v1/teams/{team}/ownersList the users, teams, and groups that are owners of a team. For
determining the set of users who are an owner of a team (including
indirectly, e.g. via a group or team), use the ListTeamEffectiveOwners API.
Admins can also manage and approve teams without being listed as owners.
Example request
Section titled “Example request”curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://us.oblique.security/api/v1/teams/{team}/owners"Set OBLIQUE_API_KEY to your API key.
curl \ -H "Authorization: Bearer ${OBLIQUE_API_KEY}" \ "https://eu.oblique.security/api/v1/teams/{team}/owners"Set OBLIQUE_API_KEY to your API key.
Path parameters
Section titled “Path parameters”parentstringrequiredName of the team to list the owners of. Can also be
teams/-to list all team owners.Format:
teams/{team}
Query parameters
Section titled “Query parameters”pageSizeinteger (int32)The maximum number of owners to return. This service may return fewer than this value.
pageTokenstringA page token, received from a previous
ListTeamOwnerscall.
Response
Section titled “Response”200ListTeamOwnersResponseteamOwnersTeamOwner[]The owners of the team.
namestringAssigned by Oblique. The name of the membership. Memberships are always child API objects of a given team. The
{owner}component is an arbitrary identifier, and doesn’t correspond to the actual member.createTimestring (date-time)read-onlyupdateTimestring (date-time)read-onlymanagementManagementHow this ownership is managed. Inherited from the parent team: owners of Terraform-managed teams are themselves Terraform managed and can only be created, updated, or deleted through the Terraform provider; manage the parent team to change this. Omitted from responses when the parent team is manually managed (the default).
managerstringHow the API object is managed. Set automatically by the server based on the caller: Terraform clients produce
TERRAFORM; for all other clients the management field is left unset on the response.repoUristringURI of the VCS repository that holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
repoDirstringOptionally, the subdirectory within
repo_urithat holds the Terraform configuration for this API object. Populated by the Oblique Terraform provider.
ownerstringrequiredSet once, when the resource is created. The name of the owner. This can be a user, team, or group.
Format:
users/{user},teams/{team},groups/{group}
nextPageTokenstringA token, which can be sent as
page_tokento retrieve the next page.
Errors
Section titled “Errors”| Status | Meaning |
|---|---|
400 | Malformed request |
401 | Missing or invalid API key |
403 | Not allowed for this API key |
404 | Not found |
429 | Too many requests |
500 | Internal server error |